//
//  RWTViewController.m
//  CenteredImageScroller
//
//  Created by Main Account on 4/25/14.
//  Copyright (c) 2014 Razeware LLC. All rights reserved.
//

#import "RWTViewController.h"
#import "RWTCenteredScrollView.h"

@interface RWTViewController () <UIScrollViewDelegate>

@property (nonatomic, strong) UIScrollView *scrollView;
@property (nonatomic, strong) UIImageView *imageView;

@end

@implementation RWTViewController

- (void)viewDidLoad {

  self.imageView = [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"zombies.jpg"]];

  self.scrollView = [[RWTCenteredScrollView alloc] initWithFrame:self.view.bounds];
  self.scrollView.autoresizingMask = UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleHeight;
  self.scrollView.backgroundColor = [UIColor blackColor];
  self.scrollView.contentSize = self.imageView.bounds.size;
  [self.view addSubview:self.scrollView];

  [self.scrollView addSubview:self.imageView];
  
  self.scrollView.delegate = self;
  
}

#pragma mark - UIScrollViewDelegate

- (UIView *)viewForZoomingInScrollView:(UIScrollView *)scrollView {
  return self.imageView;
}

@end
